#include <stdio.h>
#include <stdlib.h>
#include <X11/Intrinsic.h> 
#include "Knob.h"

void
main ( int argc, String *argv)
{
  Widget shell, knob;
  Display *display;
  XtAppContext  app_context;
  Arg args[20];
  int n;

  /*
   * Initialize the Intrinsics.
   */   
  XtToolkitInitialize();
  app_context = XtCreateApplicationContext();
  display = XtOpenDisplay(app_context, NULL, argv[0], "Knob1", NULL, 0,
                          &argc, argv);
  if (!display) {
     printf("Unable to open display\n");
     exit(0);
  }

   /*
    * Create shell
    */
   n = 0;
   XtSetArg (args[n], XmNallowShellResize, True);        n++;
   shell = XtAppCreateShell(argv[0], NULL, applicationShellWidgetClass,
                            display, args, n);

  /*
   * Create a knob widget
   */
  knob = XtCreateWidget("knob", xsmKnobWidgetClass, shell, NULL, 0);

  XtManageChild(knob);

  XtRealizeWidget(shell);

  XtAppMainLoop(app_context);

}

